<?php

use EventPortal\Domain\Component\Display;
use EventPortal\Domain\Component\Section;
use EventPortal\Domain\Form\Facades\Form;

Form::make('delegate.account.show')
    ->addFields(function () {
        return [
            Section::make('My details')->fields([
                Display::make('First name'),
                Display::make('Last name'),
                Display::make('Type'),
                Display::make('Email'),
                Display::make('PA Email')->name('pa_email'),
            ]),
        ];
    });
