<?php

namespace EventPortal\Domain\Util\Sidebar\Facades;

use EventPortal\Domain\Util\Sidebar\SidebarRegistry;
use Illuminate\Support\Facades\Facade;

/**
 * @method \EventPortal\Domain\Util\Sidebar\Sidebar make(string $tableName)
 * @method \EventPortal\Domain\Util\Sidebar\Sidebar addLinks(callable $callable)
 * @method \EventPortal\Domain\Util\Sidebar\Sidebar model(\Illuminate\Database\Eloquent\Model $model)
 * @method \EventPortal\Domain\Util\Sidebar\Sidebar user(\Illuminate\Contracts\Auth\Authenticatable $user)
 * @method \EventPortal\Domain\Util\Sidebar\Sidebar title(string $title)
 * @method \EventPortal\Domain\Util\Sidebar\Sidebar render()
 */
class Sidebar extends Facade
{
    protected static function getFacadeAccessor(): string
    {
        return SidebarRegistry::class;
    }
}
